#
# spec file for package qlvnictools
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           qlvnictools
Version:        0.0.1 
Release:        1.18.1
Summary:        VNIC ULP service
Group:          System/Console
License:        GPL v2 only
Url:            http://www.openfabrics.porg
Source:         http://openib.org/downloads/%{name}-%{version}-0.1.ge27eef7.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       ibvexdmtools
BuildRequires:  libibumad-devel libibverbs-devel
ExcludeArch:    s390 s390x

%description
VNIC ULP service



%package -n ibvexdmtools 
License:        GPL v2 only
Group:          System/Console
Summary:        Tools for VNIC/IB

%package -n qlgc_vnic_daemon
License:        GPL v2 only
Group:          System/Console
Summary:        Tools for VNIC/IB

%description -n ibvexdmtools
In conjunction with the kernel ib_vnic driver, ibvexdmtools allows you
to discover and use QLogic Virtual NIC devices via the VNIC protocol
over InfiniBand.



%description -n qlgc_vnic_daemon
In conjunction with the kernel ib_vnic driver, ibvexdmtools allows you
to discover and use QLogic Virtual NIC devices via the VNIC protocol
over InfiniBand.



%prep
%setup -q

%build
pushd ibvexdmtools
%configure
make
popd
pushd qlgc_vnic_daemon
%configure
make
popd

%install
install -D qlgc_vnic $RPM_BUILD_ROOT/%_sysconfdir/init.d/qlgc_vnic
install -D ib_qlgc_vnic_parser.pl $RPM_BUILD_ROOT/%_sbindir/ib_qlgc_vnic_parser.pl
install -D ib_qlgc_vnic_info $RPM_BUILD_ROOT/%_sbindir/ib_qlgc_vnic_info
install -D -m 0644 qlgc_vnic.cfg.sample $RPM_BUILD_ROOT/%_sysconfdir/infiniband/qlgc_vnic.cfg
pushd ibvexdmtools
%makeinstall
popd
pushd qlgc_vnic_daemon
%makeinstall
popd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README qlgc_vnic.cfg.sample
%_sysconfdir/init.d/qlgc_vnic
%_sbindir/ib_qlgc_vnic_parser.pl
%_sbindir/ib_qlgc_vnic_info
%dir %_sysconfdir/infiniband
%config(noreplace) %_sysconfdir/infiniband/qlgc_vnic.cfg

%files -n ibvexdmtools
%defattr(-,root,root)
%doc ibvexdmtools/NEWS ibvexdmtools/ChangeLog
%{_sbindir}/ib_qlgc_vnic_query

%files -n qlgc_vnic_daemon
%defattr(-,root,root)
%doc qlgc_vnic_daemon/README
%{_sbindir}/ib_qlgc_vnic_update

%changelog
* Fri Feb 18 2011 ro@suse.de
- ExcludeArch:    s390 s390x
* Tue May 25 2010 jjolly@novell.com
- Updated from tarball with postfix of -0.1.ge27eef7 from OFED
  1.5.1
- Added qlgc_vnic_daemon package
- Added the qlgc_vnic.cfg.sample to the %%doc tag
- Added ownership to /etc/infiniband
* Wed Oct 22 2008 jjolly@suse.de
- Updated from the OFED 1.3.1 release
* Fri Feb 29 2008 jjolly@suse.de
- Updated from the OFED 1.3 GA release
* Thu Jan 31 2008 jjolly@suse.de
- Updated from OFED 1.3 rc2 (still version 0.0.1)
- Changed ql_vnic to qlgc_vnic and
  vnic_parser.pl to qlgc_vinc_parser.pl
* Thu Jul 12 2007 hvogel@suse.de
- move the init script and the config to the right place
* Tue Jul  3 2007 hvogel@suse.de
- Initial Package, Version 0.0.1
